@charset "UTF-8";

@import url("https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap");

@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');

:root {
  --font1: "Poppins", sans-serif;
  --font2: "Montserrat", sans-serif;
  --font3: "Inter", sans-serif;

  --color1: rgb(180, 180, 180);
}

#contact-me{
    width: 1100px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: start;
    margin-top: 30px;
    margin-bottom: 80px;
}

.contact-form{
    width: 800px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.form-row{
    display: flex;
    gap: 20px;
    justify-content: center;
    align-items: center;
    width: 800px;
    margin-bottom: 20px;
}

.contact-field{
    padding: 10px;
    width: 390px;
    border: 3px solid black;
    transition: box-shadow 0.4s ease;
    cursor: pointer;
}

.contact-field:hover,
.contact-field:focus {
    outline: none;
    box-shadow: 4px 4px 0 black;
}

.contact-field:focus {
    cursor: text;
}

.contact-field::placeholder{
    font-size: 15px;
    font-weight: 500;
    color: rgba(0, 0, 0, 0.707);
}

.contact-field:focus::placeholder{
    opacity: 0.5;
}

.form-message{
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
}

.input-message {
    padding: 15px;
    width: 800px;
    border: 3px solid black;
    box-shadow: none;
    transition: box-shadow 0.3s ease;
    cursor: pointer;
}

.input-message:hover,
.input-message:focus {
    outline: none;
    box-shadow: 4px 4px 0 black;
}

.input-message:focus{
    cursor: text;
    transition: 0.4s ease;
}

.input-message:focus::placeholder{
    opacity: 0;
}

.input-message::placeholder{
    font-size: 15px;
    font-weight: 500;
    color: rgba(0, 0, 0, 0.707);
}

.form-actions{
    margin-top: 20px;
    margin-bottom: 100px;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.submit-button{
    cursor: pointer;
    width: 100%;
    padding: 5px 20px;
    border: 3px solid black;
    background-color: black;
    color: white;
    font-size: 18px;
    font-weight: 600;
    transition: 0.4s ease;
}

.submit-button:hover{
    color: black;
    background-color: rgba(0, 0, 0, 0);
    box-shadow: 4px 4px black;
}



/*media query*/


@media (max-width: 1220px){
    #contact-me{
        width: 800px;
    }
}

@media (max-width: 820px){
    #contact-me{
        width: 460px;
    }

    .form-row{
        width: 460px;
    }

    .contact-field{
        width: 100%;
    }

    .input-message{
        width: 460px;    
    }

    .form-actions{
        width: 460px;
    }

    .submit-button{
        width: 100%;
    }
}

@media (max-width: 480px){
    #contact-me{
        width: 300px;
        margin-top: 10px;
        margin-bottom: 40px;
    }

    #contact-me p{
        font-size: 14px;
    }

    .form-row{
        flex-direction: column;
        gap: 8px;
    }

    .contact-field{
        width: 300px;
    }

    .contact-field:hover{
        box-shadow: 2px 2px black;
    }

    .input-message{
        width: 300px;
        height: 350px;
    }

    .input-message:hover{
        box-shadow: 2px 2px black;
    }

    .form-actions{
        width: 300px;
        margin-bottom: 30px;
    }
}